Axis2/C: axis2_svc_skeleton_ops Struct Reference

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Class List
- Class Members

# axis2_svc_skeleton_ops Struct Reference
[service skeleton]

`#include <axis2_svc_skeleton.h>`

List of all members.

## Public Attributes
int(* | init )(axis2_svc_skeleton_t *svc_skeleton, const axutil_env_t *env)
axiom_node_t *(* | invoke )(axis2_svc_skeleton_t *svc_skeli, const axutil_env_t *env, axiom_node_t *node, axis2_msg_ctx_t *msg_ctx)
axiom_node_t *(* | on_fault )(axis2_svc_skeleton_t *svc_skeli, const axutil_env_t *env, axiom_node_t *node)
int(* | free )(axis2_svc_skeleton_t *svc_skeli, const axutil_env_t *env)
int(* | init_with_conf )(axis2_svc_skeleton_t *svc_skeleton, const axutil_env_t *env, struct axis2_conf *conf)

## Detailed Description

service skeleton ops struct. Encapsulator struct for operations of axis2_svc_skeleton.

## Member Data Documentation

int( * axis2_svc_skeleton_ops::init)(axis2_svc_skeleton_t *svc_skeleton, const axutil_env_t *env)

Initializes the service implementation.

Parameters:

  | svc_skeleton | pointer to svc_skeleton struct
  | env | pointer to environment struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

axiom_node_t*( * axis2_svc_skeleton_ops::invoke)(axis2_svc_skeleton_t *svc_skeli, const axutil_env_t *env, axiom_node_t *node, axis2_msg_ctx_t *msg_ctx)

Invokes the service. This function should be used to call up the functions implementing service operations.

Parameters:

  | svc_skeli | pointer to svc_skeli struct
  | env | pointer to environment struct
  | node | pointer to node struct
  | msg_ctx | pointer to message context struct

Returns:
  pointer to AXIOM node resulting from the invocation. In case of one way operations, NULL would be returned with status in environment error set to AXIS2_SUCCESS. On error NULL would be returned with error status set to AXIS2_FAILURE

axiom_node_t*( * axis2_svc_skeleton_ops::on_fault)(axis2_svc_skeleton_t *svc_skeli, const axutil_env_t *env, axiom_node_t *node)

This method would be called if a fault is detected.

Parameters:

  | svc_skeli | pointer to svc_skeli struct
  | env | pointer to environment struct
  | node | pointer to node struct

Returns:
  pointer to AXIOM node reflecting the fault, NULL on error

int( * axis2_svc_skeleton_ops::free)(axis2_svc_skeleton_t *svc_skeli, const axutil_env_t *env)

Frees service implementation.

Parameters:

  | svc_skeli | pointer to svc_skeli struct
  | env | pointer to environment struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

int( * axis2_svc_skeleton_ops::init_with_conf)(axis2_svc_skeleton_t *svc_skeleton, const axutil_env_t *env, struct axis2_conf *conf)

Initializes the service implementation.

Parameters:

  | svc_skeleton | pointer to svc_skeleton struct
  | env | pointer to environment struct
  | conf | pointer to axis2c configuration struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

The documentation for this struct was generated from the following file:

- axis2_svc_skeleton.h